Websites

Notas
Nivel experto
The API key should be sent as a Bearer token in the Authorization header of the request. Obtén tu clave API.
Lista

API endpoint:

GET
http://stats.isonormas.com/api/v1/websites

Request example:

curl --location --request GET 'http://stats.isonormas.com/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parámetro
Tipo
Descripción
search
opcional string
The search query.
search_by
opcional string
Buscar por. Possible values are: domain for Dominio. Defaults to: domain.
sort_by
opcional string
Ordenado por. Possible values are: id for Date created, domain for Dominio. Defaults to: id.
sort
opcional string
Ordenar. Possible values are: desc for Descendente, asc for Ascendente. Defaults to: desc.
per_page
opcional int
Resultados por página. Possible values are: 10, 25, 50, 100. Defaults to: 10.
Mostrar

API endpoint:

GET
http://stats.isonormas.com/api/v1/websites/{id}

Request example:

curl --location --request GET 'http://stats.isonormas.com/api/v1/websites/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint:

POST
http://stats.isonormas.com/api/v1/websites

Request example:

curl --location --request POST 'http://stats.isonormas.com/api/v1/websites' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'domain={domain}'
Parámetro
Tipo
Descripción
domain
requerido string
The domain name.
privacy
opcional integer
Stats page privacy. Possible values are: 0 for Público, 1 for Privado, 2 for Contraseña. Defaults to: 1.
password
opcional string
The password for the statistics page. Only works with privacy set to 2.
email
opcional integer
Periodic email reports. Possible values are: 0 for Disabled, 1 for Enabled. Defaults to: 0.
exclude_bots
opcional integer
Exclude common bots from being tracked. Possible values are: 0 for Disabled, 1 for Enabled. Defaults to: 1.
exclude_params
opcional string
Exclude URL query parameters from being tracked. Uno por línea..
exclude_ips
opcional string
Exclude IPs from being tracked. Uno por línea..
Actualizar

API endpoint:

PUT PATCH
http://stats.isonormas.com/api/v1/websites/{id}

Request example:

curl --location --request PUT 'http://stats.isonormas.com/api/v1/websites/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parámetro
Tipo
Descripción
privacy
opcional integer
Stats page privacy. Possible values are: 0 for Público, 1 for Privado, 2 for Contraseña.
password
opcional string
The password for the statistics page. Only works with privacy set to 2.
email
opcional integer
Periodic email reports. Possible values are: 0 for Disabled, 1 for Enabled.
exclude_bots
opcional integer
Exclude common bots from being tracked. Possible values are: 0 for Disabled, 1 for Enabled.
exclude_params
opcional string
Exclude URL query parameters from being tracked. Uno por línea..
exclude_ips
opcional string
Exclude IPs from being tracked. Uno por línea..
Borrar

API endpoint:

DELETE
http://stats.isonormas.com/api/v1/websites/{id}

Request example:

curl --location --request DELETE 'http://stats.isonormas.com/api/v1/websites/{id}' \
--header 'Authorization: Bearer {api_key}'